/* layout */
import Layout from '@/components/layout/layout'

export default [
  { path: '*', redirect: '/goods' },
  {
    path: '/dashboard',
    component: Layout,
    props: { hasBreadcrumb: false },
    children: [
      {
        path: '',
        component: () => import(/* webpackChunkName: "dashboard" */ '@/pages/dashboard/index'),
        meta: { title: '概况' }
      }
    ]
  },
  // 店铺
  {
    path: '/shop',
    component: () => import(/* webpackChunkName: "shop" */ '@/pages/shop/index'),
    meta: { title: '选择店铺' }
  },
  {
    path: '/shop/add',
    component: () => import(/* webpackChunkName: "shop" */ '@/pages/shop/add'),
    meta: { title: '新建店铺' }
  },
  // 商品管理
  {
    path: '/goods',
    component: Layout,
    meta: { title: '商品' },
    children: [
      {
        name: 'goodsList',
        path: '',
        component: () => import(/* webpackChunkName: "goods" */ '@/pages/goods/goods/index'),
        meta: { title: '商品列表' }
      },
      {
        name: 'goodsAdd',
        path: 'add',
        component: () => import(/* webpackChunkName: "goods" */ '@/pages/goods/goods/edit'),
        meta: { title: '发布商品' }
      },
      {
        name: 'goodsEdit',
        path: 'edit/:id',
        component: () => import(/* webpackChunkName: "goods" */ '@/pages/goods/goods/edit'),
        props: { isEdit: true },
        meta: { title: '编辑商品' }
      },
      {
        path: 'group',
        component: () => import(/* webpackChunkName: "goods-group" */ '@/pages/goods/group/index'),
        meta: { title: '商品分组' }
      }
    ]
  },
  // 订单管理
  {
    path: '/order',
    component: Layout,
    meta: { title: '订单' },
    children: [
      {
        name: 'orderList',
        path: '',
        component: () => import(/* webpackChunkName: "order" */ '@/pages/order/index'),
        meta: { title: '订单列表' }
      },
      {
        name: 'orderDetail',
        path: 'detail/:id',
        component: () => import(/* webpackChunkName: "order" */ '@/pages/order/detail'),
        meta: { title: '订单详情' }
      },
      {
        name: 'orderAdd',
        path: 'add',
        component: () => import(/* webpackChunkName: "order" */ '@/pages/order/add'),
        meta: { title: '新增订单' }
      }
    ]
  },
  // 设置
  {
    path: '/setting',
    component: Layout,
    meta: { title: '设置' },
    children: [
      { path: '', redirect: 'info' },
      {
        path: 'info',
        component: () => import(/* webpackChunkName: "setting" */ '@/pages/setting/info'),
        meta: { title: '店铺信息' }
      },
      {
        path: 'general',
        component: () => import(/* webpackChunkName: "setting" */ '@/pages/setting/general'),
        meta: { title: '通用设置' }
      },
      {
        path: 'contact',
        component: () => import(/* webpackChunkName: "setting" */ '@/pages/setting/contact'),
        meta: { title: '联系我们' }
      },
      {
        path: 'goods',
        component: () => import(/* webpackChunkName: "setting" */ '@/pages/setting/goods'),
        meta: { title: '商品设置' }
      }
    ]
  },
  {
    path: '/preview',
    component: () => import(/* webpackChunkName: "preview" */ '@/pages/preview')
  }
]
